/* avagl: sandbox.hh
 * 
 * Copyright 2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

// Discrete Height Sandbox System

class Sandbox
{
protected:
	int * sys;
	bool * last_active;
	unsigned width;
	unsigned length;
	unsigned long count;
	double p;
public:
	Sandbox();
	~Sandbox();
	void initialize(unsigned = 32, unsigned = 64);
	void start();
	void iterate();
	unsigned long get_count();
	const int * get_prof();
	const bool * get_active();
	void set_prob(double);
};
